/*
 * @Author: wrh
 * @Date: 2024-04-07 15:29:32
 * @LastEditors: wrh
 * @LastEditTime: 2024-04-07 15:33:55
 */
import request from '@/utils/request'

// 查询cmc项目内容列表
export function listProjectWork(query) {
  return request({
    url: '/oa/projectWork/list',
    method: 'get',
    params: query
  })
}

// 查询cmc项目内容详细
export function getProjectWork(projectId) {
  return request({
    url: '/oa/projectWork/' + projectId,
    method: 'get'
  })
}

// 新增cmc项目内容
export function addProjectWork(data) {
  return request({
    url: '/oa/projectWork',
    method: 'post',
    data: data
  })
}

// 修改cmc项目内容
export function updateProjectWork(data) {
  return request({
    url: '/oa/projectWork',
    method: 'put',
    data: data
  })
}

// 删除cmc项目内容
export function delProjectWork(projectId) {
  return request({
    url: '/oa/projectWork/' + projectId,
    method: 'delete'
  })
}
